"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.completeConfig = exports.DEFAULT_START_CONFIG = exports.DEFAULT_STREAM_TRANSACTION_LOGS = void 0;
const types_1 = require("../assets/types");
const types_2 = require("../relay/types");
const validator_1 = require("../validator");
exports.DEFAULT_STREAM_TRANSACTION_LOGS = process.env.CI == null;
exports.DEFAULT_START_CONFIG = {
    validator: validator_1.DEFAULT_VALIDATOR_CONFIG,
    relay: types_2.DEFAULT_RELAY_CONFIG,
    streamTransactionLogs: exports.DEFAULT_STREAM_TRANSACTION_LOGS,
    assetsFolder: types_1.DEFAULT_ASSETS_FOLDER,
};
/**
 * Need a hand rolled version of this since tools like deep-extend don't work
 * with maps and classes and thus break things like account renderers
 *
 * @private
 */
function completeConfig(config = {}) {
    const validator = { ...validator_1.DEFAULT_VALIDATOR_CONFIG, ...config.validator };
    const relay = { ...types_2.DEFAULT_RELAY_CONFIG, ...config.relay };
    const { streamTransactionLogs = exports.DEFAULT_STREAM_TRANSACTION_LOGS, assetsFolder = types_1.DEFAULT_ASSETS_FOLDER, } = config;
    return { validator, relay, streamTransactionLogs, assetsFolder };
}
exports.completeConfig = completeConfig;
//# sourceMappingURL=config.js.map